Subject: Re: BUG
From: [email-masked] (Philip Chow)

29 Oct 1996 14:14:11 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Jean-Philippe Chancelier)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Jean-Philippe Chancelier" at Oct 29, 96 09:35:21 am
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Jean-Philippe Chancelier wrote:
> 
> I think I have found a bug in bash within gcwin32 
> b16 
> 
> 
> for i in 1 2 3; do ( echo $i >>names ) ; done
> 
> works but send results to the stdout and not into the file 
> names 
> 
> but echo xxx >> names  works 
> 
> 
> Jean-Philippe Chancelier
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

I have had a similar problem but from within a Makefile.  This problem
has existed since b14 and I have reported the problem to cygnus.  It
seems that the stdout handles are not being passed properly
to subsequent "sub-shells".  (probably a problem in the cygnus exec code)

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Philip Chow
ISG Technologies Inc.
Phone:    (905) 672-2101 ext 304
Fax:      (905) 672-2307
Internet: [email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".